> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/api/universal-talent-api/sync-frequency.md).

# Sync Frequency

While you can make calls to the Peoplelogic.dev APIs as often as you like (within [API limits of course](/api/api-rate-limits.md)!), the freshness of the data is dependent on when the most recent sync from the various integrations occurred. &#x20;

### Universal API Frequency

Sync frequency is the rate at which Peoplelogic.dev initiates requests to fetch data from third-parties. Actual time to complete a sync can vary depending on the third-party.

We take every effort to complete each sync and respect the rate limits of our partner integrations.  If a sync fails because of invalid credentials, the connection will be paused until you resolve the credential issue.

### Executing a manual sync

Depending on your subscription level, you can execute a manual sync of remote data.  This allows you to fetch the latest data from our partners without waiting for the next sync window.  The manual sync request may not be executed immediately as the request is pushed into a queue.  It will be executed in the order it is received.

### Merge.dev Frequency

The frequency at which HRIS information is pulled from a connected Merge.dev account depends on whether you're using our provided Merge account or if you have brought your own.  By default, the embedded Peoplelogic.dev Merge account syncs roughly every 24 hours.  Your own account may have different limits.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.peoplelogic.dev/api/universal-talent-api/sync-frequency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
